#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Common library for libimobiledevice and co.
Summary(pl.UTF-8):	Biblioteka wspólna dla libimobiledevice i pochodnych
Name:		libimobiledevice-glue
Version:	1.2.0
Release:	1
License:	LGPL v2+
Group:		Libraries
#Source0Download: https://www.libimobiledevice.org/
Source0:	https://github.com/libimobiledevice/libimobiledevice-glue/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	443085b9c7e91b3089d0a924c38f57a8
URL:		https://libimobiledevice.org/
BuildRequires:	libplist-devel >= 2.3.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
Requires:	libplist >= 2.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library with common code used by the libraries and tools around the
libimobiledevice project.

%description -l pl.UTF-8
Biblioteka ze wspólnym kodem używanym przez biblioteki i narzędzia
wokół projektu libimobiledevice.

%package devel
Summary:	Header files for libimobiledevice-glue library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libimobiledevice-glue
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libplist-devel >= 2.3.0

%description devel
Header files for libimobiledevice-glue library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libimobiledevice-glue.

%package static
Summary:	Static libimobiledevice-glue library
Summary(pl.UTF-8):	Statyczna biblioteka libimobiledevice-glue
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libimobiledevice-glue library.

%description static -l pl.UTF-8
Statyczna biblioteka libimobiledevice-glue.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libimobiledevice-glue-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_libdir}/libimobiledevice-glue-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libimobiledevice-glue-1.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libimobiledevice-glue-1.0.so
%{_includedir}/libimobiledevice-glue
%{_pkgconfigdir}/libimobiledevice-glue-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libimobiledevice-glue-1.0.a
%endif
%changelog
* Sun Apr 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libimobiledevice-glue.git;a=log;h=master

* Sun Apr 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 7a622b6
- updated to 1.2.0

* Sun Feb 25 2024 Jakub Bogusz <qboosh@pld-linux.org> d6ed3cf
- updated to 1.1.0

* Sun Nov 26 2023 Jakub Bogusz <qboosh@pld-linux.org> f0690d0
- new

